Subject: Re: linux-next: build failure after merge of the block tree

From: Christoph Hellwig <[email-masked]>
Date: Thu, 3 Dec 2015 10:57:26 +0100

On Thu, Dec 03, 2015 at 10:52:46AM +0100, Matias Bjørling wrote:
> The identify geometry command and bad block commands are part of the admin 
> command set. Surely, as all these take a ns id, they can be moved and be 
> accessed naturally through the user queues.

Nah, these admin commands should go through the admin queue - but
having a request_queue as the argument to the callback just seems rather
off if it's not the right one.  Why can't you just pass the 'struct nvm_dev'
instead of the request_queue for these methods?